/*
 * Copyright (C) 2024 Ubports Foundation
 *
 * This file is part of Lomiri Calendar App
 *
 * Lomiri Calendar App is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * Lomiri Calendar App is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
import QtQuick 2.12
import Lomiri.Components 1.3
import QtOrganizer 5.0

ExportPageCommon {

    property var event

    startPeriod: event.startDateTime
    endPeriod: event.endDateTime
    filter: DetailFieldFilter{
        id: eventFilter
        detail: Detail.Guid
        field: Guid.FieldGuid
        value: event.guid
        matchFlags: Filter.MatchExactly
    }
}
